Skip to main content
PATCH
/
bucket-keys
/
{filesystemKey}
Update object storage key
curl --request PATCH \
  --url https://cloud.laravel.com/api/bucket-keys/{filesystemKey} \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "<string>"
}
'
{
  "data": {
    "id": "<string>",
    "type": "filesystemKeys",
    "attributes": {
      "name": "<string>",
      "permission": "read_write",
      "access_key_id": "<string>",
      "access_key_secret": "<string>",
      "created_at": "2023-11-07T05:31:56Z"
    },
    "relationships": {
      "filesystem": {
        "data": {
          "type": "filesystems",
          "id": "<string>"
        }
      }
    }
  },
  "included": [
    {
      "id": "<string>",
      "type": "filesystems",
      "attributes": {
        "name": "<string>",
        "type": "cloudflare_r2",
        "status": "creating",
        "visibility": "private",
        "jurisdiction": "default",
        "endpoint": "<string>",
        "url": "<string>",
        "allowed_origins": "<string>",
        "cors_settings": "<string>",
        "created_at": "2023-11-07T05:31:56Z"
      },
      "relationships": {
        "keys": {
          "data": [
            {
              "type": "filesystemKeys",
              "id": "<string>"
            }
          ]
        }
      }
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://cloud.laravel.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Authorization
string
header
required

The Bearer Token generated on the Cloud UI.

Path Parameters

filesystemKey
string
required

The filesystem key identifier

Body

application/json
name
string
required
Required string length: 3 - 40

Response

FilesystemKeyResource

data
FilesystemKeyResource · object
required
included
FilesystemResource · object[]